Release Notes/0.9.7.4

From Davical
Jump to: navigation, search
(released 2009-10-07)

The focus of this release is to fix a bug introduced in 0.9.7.3 which made user permissions unmaintainable.

Database Upgrade

Although there is no database structure changes with this release, it is recommended to run the update-davical-database script in order to apply the latest database functions.

Functionality Changes

Bug Fixes

  • A fix for a change which was introduced in 0.9.7.3 which made user permissions unmaintainable.

Other Changes

  • The structure of the response to querying the supported-privilege-set property is corrected.

Availability

Released on 7th October 2009

Download links

Debian Lenny

deb http://debian.mcmillan.net.nz/debian lenny awm

Debian Sid

AWL and DAViCal are in Debian Sid and can be installed directly with apt-get. These packages will work in Lenny or later, or in Ubuntu Hardy or later.

The packages will work with earlier versions of Debian as long as recent versions of PostgreSQL are used.

Gentoo

An ebuild should be available in due course.

Source packages

RPM packages